const express = require('express');
const router = express.Router();
const Todo = require('../models/todo');

// Get all TODOs for the logged-in user
router.get('/', async (req, res) => {
  const todos = await Todo.find({ userId: req.user.id });
  res.json(todos);
});

// Add a new TODO
router.post('/', async (req, res) => {
  const { description } = req.body;
  const todo = new Todo({ description, userId: req.user.id });
  await todo.save();
  res.json(todo);
});

// Mark TODO as done
router.put('/:id', async (req, res) => {
  const todo = await Todo.findById(req.params.id);
  todo.isDone = true;
  await todo.save();
  res.json(todo);
});

// Delete a TODO
router.delete('/:id', async (req, res) => {
  await Todo.findByIdAndDelete(req.params.id);
  res.json({ success: true });
});

module.exports = router;
